Widget listings
Units listed in a widget
The widget listing object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
ordersmallintOrder of the listing as displayed in the widget
urlMultiLanguageStringLocalized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab
Related resources
Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:27.347Z",
"updated_at": "2026-10-30T22:26:27.347Z",
"order": 0,
"url": {}
}curl -X GET "https://api.bookingmood.com/v1/widget_listings?limit=10&select=*,products(*),widgets(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List widget listings
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab
Responses
200A list of widget listings with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /widget_listingscurl -X GET "https://api.bookingmood.com/v1/widget_listings?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:27.347Z",
"updated_at": "2026-10-30T22:26:27.347Z",
"order": 0,
"url": {}
}
]Create widget listings
Body
Partial<WidgetListing> | Array<Partial<WidgetListing>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created widget listings with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /widget_listingscurl -X POST "https://api.bookingmood.com/v1/widget_listings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0,
"product_id": "00000000-0000-0000-0000-000000000000",
"url": {},
"widget_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:27.347Z",
"updated_at": "2026-10-30T22:26:27.347Z",
"order": 0,
"url": {}
}
]Delete widget listings
Filters
Without filters, this request deletes all widget listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab
Responses
200The deleted widget listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /widget_listingscurl -X DELETE "https://api.bookingmood.com/v1/widget_listings?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:27.347Z",
"updated_at": "2026-10-30T22:26:27.347Z",
"order": 0,
"url": {}
}
]Update widget listings
Filters
Without filters, this request updates all widget listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab
Body
Partial<WidgetListing>Read-only attributes are set by the database and can't be written.
Responses
200The updated widget listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /widget_listingscurl -X PATCH "https://api.bookingmood.com/v1/widget_listings?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:27.347Z",
"updated_at": "2026-10-30T22:26:27.347Z",
"order": 0,
"url": {}
}
]